cURL
curl --request POST \
--url https://api.naviml.com/v1/{team_id}/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"content": "<string>"
}
],
"verifiers": [
{
"id": "<string>",
"type": "policy-verifier",
"parameters": {
"threshold": 0.5
}
}
],
"explain": true
}
'import requests
url = "https://api.naviml.com/v1/{team_id}/verify"
payload = {
"messages": [{ "content": "<string>" }],
"verifiers": [
{
"id": "<string>",
"type": "policy-verifier",
"parameters": { "threshold": 0.5 }
}
],
"explain": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>'}],
verifiers: [{id: '<string>', type: 'policy-verifier', parameters: {threshold: 0.5}}],
explain: true
})
};
fetch('https://api.naviml.com/v1/{team_id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"verifiers": [
{
"id": "<string>",
"result": "<string>",
"explanation": {
"text": "<string>"
},
"details": {},
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}
]
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}Endpoints
Verify content
Verify content API endpoint allows to verify LLM response against your custom policies
POST
/
v1
/
{team_id}
/
verify
cURL
This endpoint allows to run multiple verifiers against a single LLM response. The response will contain the result of each verifier and the final action based on the verifiers’ results.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID of the team owning the resources and under which the verifiers are executed
Body
application/json
⌘I